package com.connor.cust.box;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.teamcenter.rac.aif.AIFDesktop;
import com.teamcenter.rac.aif.AbstractAIFUIApplication;
import com.teamcenter.rac.aif.kernel.InterfaceAIFComponent;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponentBOMLine;
import com.teamcenter.rac.kernel.TCSession;
import com.teamcenter.rac.util.MessageBox;
/**
 * : BOMװ䵥д
 * :2024-01-04
 * @author  
 * 
 * ޸      ޸    ޸ 
 * 2019-01-24  XXXX   
 */
public class XYBOMHandler extends AbstractHandler{
    
    @Override
    public Object execute(ExecutionEvent arg0) throws ExecutionException {
        System.out.println("XYBOMHandler");
        AIFDesktop desktop = AIFUtility.getActiveDesktop();
        try {
            AbstractAIFUIApplication app = AIFUtility.getCurrentApplication();
            TCSession session = (TCSession) app.getSession();
            InterfaceAIFComponent[] targets = app.getTargetComponents();
            for(InterfaceAIFComponent t : targets) {
                if(!(t instanceof TCComponentBOMLine)) {
                    MessageBox.post(desktop, t + PlmLocale.getString("notbom"), "ERROR", MessageBox.ERROR);// BOMУѡ
                    return null;
                }
            }
            
            new XYBOMDialog(session, targets);
        } catch(Exception e) {
            e.printStackTrace();
            MessageBox.post(desktop, PlmLocale.getString("err") + e.getMessage(), "ERROR", MessageBox.ERROR);
        }
        return null;
    }
}
